Name:           qtpass
Version:        1.1.6
Release:        1%{?dist}
Summary:        Cross-platform GUI for pass

License:        GPLv3
URL:            https://qtpass.org/
Source0:        https://github.com/IJHack/qtpass/archive/v%{version}.tar.gz

BuildRequires:  qt5-qtbase-devel
BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  qt5-linguist
# for ownership of hicolor directories
Requires:       hicolor-icon-theme
# for icons to appear without freedesktop
Requires:       qt5-qtsvg
Requires:       pass
Recommends:     git
Recommends:     gpg2
Recommends:     pwgen

%description
QtPass is a cross-platform GUI for pass, the standard Unix password manager.

%prep
%setup -q -n QtPass-%{version}


%build
%qmake_qt5 PREFIX=%{_prefix}
%make_build


%install
make install INSTALL_ROOT=%{buildroot}
desktop-file-install %{name}.desktop
install -Dpm 644 artwork/icon.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/qtpass-icon.svg
install -Dpm 644 %{name}.appdata.xml %{buildroot}%{_datadir}/appdata/%{name}.appdata.xml
install -Dpm 644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%doc README.md
%license LICENSE
%{_bindir}/qtpass
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/icons/hicolor/scalable/apps/%{name}-icon.svg
%{_mandir}/man1/%{name}.1*


%changelog
* Sat Dec 03 2016 Dave Olsthoorn <dave@bewaar.me> - 1.1.6-1
- new version, changelog: https://github.com/IJHack/qtpass/releases/tag/v1.1.6

* Wed Sep 28 2016 Dave Olsthoorn <dave.olsthoorn@gmail.com> - 1.1.4-1
- new version, changelog: https://github.com/IJHack/qtpass/releases/tag/v1.1.4

* Thu Jun 16 2016 Dave Olsthoorn <dave.olsthoorn@gmail.com> - 1.1.3-2
- install upstream manpage

* Wed Jun 15 2016 Dave Olsthoorn <dave.olsthoorn@gmail.com> - 1.1.3-1
- version bump
- add qt5-qtsvg as runtime dependency

* Sun May 22 2016 Dave Olsthoorn <dave.olsthoorn@gmail.com> - 1.1.1-3
- add appstream data file

* Sat Apr 23 2016 Dave Olsthoorn <dave.olsthoorn@gmail.com> - 1.1.1-2
- require hicolor

* Thu Apr 14 2016 Dave Olsthoorn <dave.olsthoorn@gmail.com> - 1.1.1-1
- new version
- Change license field to GPLv3 instead of GPL-3.0
- Fix require for pass
- Add icon cache scriplets

* Fri Apr  1 2016 Dave Olsthoorn <dave.olsthoorn@gmail.com>
- Initial spec file
